%bcond_with check

Name:           python-conda-package-streaming
Version:        0.11.0
Release:        %mkrel 3
Summary:        An efficient library to read from conda packages
Group:          Development/Python

License:        BSD-3-Clause
URL:            https://pypi.org/project/conda-package-streaming/
Source:         %{pypi_source conda_package_streaming}

BuildArch:      noarch
BuildRequires:  python3-devel


%global _description %{expand:
An efficient library to read from new and old format .conda and .tar.bz2 conda
packages.
Download conda metadata from packages without transferring entire file. Get
metadata from local .tar.bz2 packages without reading entire files.}

%description %_description

%package -n     python3-conda-package-streaming
Summary:        %{summary}

%description -n python3-conda-package-streaming %_description

# Review which extras should be actually packaged
%dnl %pyproject_extras_subpkg -n python3-conda-package-streaming docs

%prep
%autosetup -p1 -n conda_package_streaming-%{version}
# Relax requirement (chicken-egg problem)
sed -i "s/conda-package-handling >=2/conda-package-handling/" pyproject.toml
sed -i '/\"conda\",/d' pyproject.toml
# remove non essential, we don't have
# sed -i 's/\"boto3\"\,//' pyproject.toml
sed -i 's/\"boto3-stubs\[essential\]\",//' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires -x docs %{?with_check:-x test -t}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files conda_package_streaming

%if %{with check}
%check
%pyproject_check_import
%tox
%endif

%files -n python3-conda-package-streaming -f %{pyproject_files}
%doc *.md


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.11.0-3.mga10
+ Revision: 2241307
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 0.11.0-2.mga10
+ Revision: 2158546
- build without check and extras subpkgs
- rebuild for python3.13

* Tue Oct 29 2024 daviddavid <daviddavid> 0.11.0-1.mga10
+ Revision: 2111696
- new version: 0.11.0

* Thu Mar 21 2024 papoteur <papoteur> 0.9.0-1.mga10
+ Revision: 2051116
- imported package python-conda-package-streaming

